import { JupyterFrontEndPlugin } from "@jupyterlab/application";
import { IDisposable } from "@phosphor/disposable";
import { DocumentRegistry } from "@jupyterlab/docregistry";
import { NotebookPanel, INotebookModel } from "@jupyterlab/notebook";
import "./codemirror-sos";
import "../style/index.css";
export declare class SoSWidgets implements DocumentRegistry.IWidgetExtension<NotebookPanel, INotebookModel> {
    /**
     * The createNew function does not return whatever created. It is just a registery that Will
     * be called when a notebook is created/opened, and the toolbar is created. it is therefore
     * a perfect time to insert SoS language selector and create comms during this time.
     */
    createNew(panel: NotebookPanel, context: DocumentRegistry.IContext<INotebookModel>): IDisposable;
}
/**
 * Initialization data for the sos-extension extension.
 */
declare const extension: JupyterFrontEndPlugin<void>;
export default extension;
