import { NotebookPanel, INotebookTracker } from "@jupyterlab/notebook";
import { ConsolePanel, IConsoleTracker } from "@jupyterlab/console";
import { CommandRegistry } from "@phosphor/commands";
import { Kernel } from "@jupyterlab/services";
export declare class NotebookInfo {
    notebook: NotebookPanel;
    KernelList: Array<string>;
    sos_comm: Kernel.IComm;
    BackgroundColor: Map<string, string>;
    DisplayName: Map<string, string>;
    KernelName: Map<string, string>;
    LanguageName: Map<string, string>;
    CodeMirrorMode: Map<string, any>;
    KernelOptions: Map<string, string>;
    autoResume: boolean;
    pendingCells: Map<any, any>;
    /** create an info object from metadata of the notebook
     */
    constructor(notebook: NotebookPanel);
    updateLanguages(data: Array<Array<string>>): void;
    show(): void;
}
export declare function safe_css_name(name: any): any;
export declare class Manager {
    private static _instance;
    private static _notebook_tracker;
    private static _console_tracker;
    private static _commands;
    private _info;
    private constructor();
    static set_trackers(notebook_tracker: INotebookTracker, console_tracker: IConsoleTracker): void;
    static set_commands(commands: CommandRegistry): void;
    static readonly currentNotebook: NotebookPanel;
    static consolesOfNotebook(panel: NotebookPanel): Array<ConsolePanel>;
    static readonly currentConsole: ConsolePanel;
    static readonly commands: CommandRegistry;
    static readonly manager: Manager;
    get_info(notebook: NotebookPanel): NotebookInfo;
    register_comm(comm: Kernel.IComm, notebook: NotebookPanel): void;
    notebook_of_comm(comm_id: string): NotebookPanel;
}
